Bug 150762 - FILEOPEN RTF Paragraph left indents missing inside frame
Summary: FILEOPEN RTF Paragraph left indents missing inside frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.5.0 target:7.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2022-09-02 19:17 UTC by Gabor Kelemen (allotropia)
Modified: 2022-10-05 04:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By: Miklos Vajna


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2022-09-02 19:17:49 UTC
Paragraph left indents inside a frame are missing in RTF file.

1, Open attachment 47273 [details] 
2, Notice the numbered paragraphs start at the left side of the two bordered frames, but in Word they have different left indents applied by direct formatting as seen on attachment 179515 [details]:
"Le narrateur est un personnage" has 2.1 cm left in Word
"L’histoire est racontée " has 0.47 cm left, 0.44 hanging in Word
"Le narrateur sait tout des personnages: " has 0.47 cm left, 0.44 hanging in Word

But in Writer, all these become 0.

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3e544b6938ee509a4f6df4c2e2996d71ce072506
CPU threads: 14; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: threaded

Started to look like this in 6.0 with:
https://git.libreoffice.org/core/+/03b987372b680a8ecfac61d976c69f7443acba11

author	Miklos Vajna <vmiklos@collabora.co.uk>	Mon Apr 23 22:09:23 2018 +0200
committer	Caolán McNamara <caolanm@redhat.com>	Thu Apr 26 16:17:52 2018 +0200

tdf#116841 RTF import: fix default value of left para margin from numbering

Before this, all paragraphs were 1.27 cm left indented, since

https://git.libreoffice.org/core/+/61b7034824dead1635f9e9c6ec996297e10f6910

author	Miklos Vajna <vmiklos@collabora.co.uk>	Tue Dec 05 09:17:43 2017 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	Wed Dec 06 13:38:15 2017 +0100

tdf#104016 RTF import: deduplicate before text indent from numbering

and before this, all left indents were good.

Adding CC to: Miklos Vajna
Comment 1 Dieter 2022-09-18 20:24:06 UTC
I confirm it with

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bfb0dbee201a69c26293947c78356f320ff62a0b
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL threaded

Numbered paragraphs use list "WWNum2". Position for level 1 is 0.
Comment 2 Commit Notification 2022-09-26 07:06:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a974bccd06ac6c7081256d32d2372ea05b253fbb

tdf#150762 RTF import: fix missing left margin on numbered paragraph

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-09-26 13:21:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/403ff3d3ccba1498568e82e4840a12e53a188406

tdf#150762 RTF import: fix missing left margin on numbered paragraph

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dieter 2022-10-05 04:56:28 UTC
VERIFIED with

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c3b5eea4304ad6815b491f549fce008a9630c213
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL threaded

Miklos, thanks for fixing it!